stages:
    - build
    - deploy


build:
    image: node:12.14.1
    stage: build
    script:
        - npm install --progress=false
        - npm run build
    artifacts:
       expire_in: 1 week
       paths:
        - dist
        

deploy:
    image: alpine
    stage: deploy
    script:
        - apk add --no-cache rsync openssh
        - mkdir -p ~/.ssh
        - echo "$SSH_PRIVATE_KEY" >> ~/.ssh/id_dsa
        - chmod 600 ~/.ssh/id_dsa
        - echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config
        - rsync -rav -e 'ssh -p 2020' --delete dist/ $SSH_HOST:/home/nozama/battleship/public/game